This discussion is archived
7 Replies Latest reply: Mar 17, 2011 2:49 PM by MStriekwold RSS

Does Headstart 6.5.4 supported in Oracle 11g R2?

jkkstarinc., Newbie
Currently Being Moderated
Hello,

In my application I'm using the following components


CM SDK 9.0.4.2.26
Head Start 6.5.4

Can somebody suggest me is Head Start 6.5.4 supported in Oracle 11g r2 please? If not how to upgrade it to JHeadStart.

Kind Regards,


Kam
  • 1. Re: Does Headstart 6.5.4 supported in Oracle 11g R2?
    Mark Striekwold Journeyer
    Currently Being Moderated
    Headstart and JHeadstart are different tools. Headstart is a development accelerator for Oracle Designer/Forms, JHeadstart is a development accelerator for Oracle JDeveloper/ADF.

    The prerequisites of Headstart are
    * Oracle 10g database in runtime environment (where CDM RuleFrame is used)
    * Headstart Oracle Designer 10g, patch 6.5.4.0
    * Oracle Designer 10.1.2.0.2 or above.
    * Oracle 10g Developer Suite (10.1.2.0.2)

    I don't know if Headstart 6.5.4 is supported with Oracle 11gR2. The Oracle Designer version is supported with a 10gR2 and a 11gR1 database. So for your development environment you will need a 10gR2 or 11gR1 database.

    Regards,

    Mark
  • 2. Re: Does Headstart 6.5.4 supported in Oracle 11g R2?
    jkkstarinc., Newbie
    Currently Being Moderated
    Hi Mark,

    Thanks for your reply.

    I have Oracle Designer repo and Head Start in 10g database. But hst654 application schema is in application database 9i, which is about get upgraded to 11g r2. Not sure, how hst654 schema gets updated.

    Any suggestion would be appreciated.


    Thanks,


    Kam
  • 3. Re: Does Headstart 6.5.4 supported in Oracle 11g R2?
    Mark Striekwold Journeyer
    Currently Being Moderated
    Can't help you with suggestions. I haven't been using headstart inside the 11gR2 database yet.

    The hst654 schema contains tables/packages/triggers/views and they should be recompiled inside the 11gR2 database. Sometimes you can get performance issues, but that was mostly when changing from rule based to cost based (changing from 9i to 10g database). Don't forget to recompile your headstart library's (pll) against the compiled packages inside the database.

    Regards,

    Mark
  • 4. Re: Does Headstart 6.5.4 supported in Oracle 11g R2?
    424188 Newbie
    Currently Being Moderated
    hi..appreciate your help in the forum..I have been using Oracle Designer 6i with Headstart 6i on Oracle 8.1.6 database. Now I want to migrate my application onto Oracle Developer Suite 10gR2 with Oracle Headstart 6i on Oracle database 10gR2. Can you guide me the path in migrating in terms of what eactly needs to be done.

    Regards
    Akil Ayub.
  • 5. Re: Does Headstart 6.5.4 supported in Oracle 11g R2?
    Mark Striekwold Journeyer
    Currently Being Moderated
    Do you want to use the same headstart version you are currently using with Designer 6i or do you want to upgrade the headstart version?

    When changing your Oracle database from 8.1.6 to 10gR2 you have to keep in mind that you are changing from a rule based database to a cost based database. So queries which performed OK iin the current situation may not preform in the new situation any more.
  • 6. Re: Does Headstart 6.5.4 supported in Oracle 11g R2?
    424188 Newbie
    Currently Being Moderated
    appreciate if you can give me the plan for
    if i want to use same headstart version. can I
    if i want to use upgraded version.

    This is how my application is built currently.
    I use forms 6i web based using microsoft IIS.
    Development Tool -> Designer 6i with headstart 6i.
    Oracle database -> Oracle 8i

    wants to migrate to
    Development Tool -> Developer Suite 10g with headstart 6i (same version which currently in use)
    Database -> Oracle 10g
    and can I use application server other than Oracle.
  • 7. Re: Does Headstart 6.5.4 supported in Oracle 11g R2?
    MStriekwold Newbie
    Currently Being Moderated
    wants to migrate to
    Development Tool -> Developer Suite 10g with headstart 6i (same version which currently in use)
    Database -> Oracle 10g
    Headstart 6i contains packages, libraries, forms, menu etc. So theoretically after recompiling the headstart environment it could be used with the higher version of Oracle Forms and the database. Do you know if the headstart environment (library/packages) has been changed? If the headstart environment isn't changed I would recommend to upgrade you headstart environment since there where important bugfixes.
    and can I use application server other than Oracle.
    Don't know if you can use a different application server. I have never seen such a combination.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points